/* Locations in this file are fixed */

#ifdef (SHELF)

object {
	shelf
	texture { shelf_wood }
}

intersection {
	box {
		<25,6,-1>, <-25,0,0>
	}
	object {
		cutter
		inverse
		scale <1,0.75,0.5>
		translate <0,6,-1>
	}
	texture { 
		shelf_wood 
		rotate <90,0,0>
		translate <20,50,0>
	}
	translate <0,0,9>
}

box {
	<-3,6,-1>, <3,0,0>
	texture { 
		shelf_wood 
		rotate <90,0,0>
		translate <20,50,0>
	}
	rotate<0,90,0>
	translate<-24,0,12>
}	

box {
	<-3,6,-1>, <3,0,0>
	texture { 
		shelf_wood 
		rotate <90,0,0>
		translate <20,50,0>
	}
	rotate<0,-90,0>
	translate<24,0,12>
}	

#end

#ifdef (CHIMNEY)
difference {
	box { <24,100,3>, <-24,-100,-3> 	
		texture {
			brick texture { mortar_t} texture {brick_t}
		}
	}
	box { <12,-24,-0.5>, <-12,-48,-3.1> 
		pigment { Black }
	}
	translate <0,0,12>
}
#end

#ifdef (ROOM)
#declare WallColor = pigment {
	gradient x
	triangle_wave
	color_map {
		[ 0 color White ]
		[ 0.375 color White ]
		[ 0.375 color SkyBlue]
		[ 0.5 color SkyBlue]
		[ 0.5 color White ]
		[ 0.625 color White ]
		[ 0.625 color SkyBlue ]
		[ 1 color SkyBlue ]
	}
	scale 12
}

plane {
	-z, -12 
	pigment { WallColor }
}
plane {
	-z, 120 
	inverse
	pigment { WallColor }
}

plane {
	x, 60 
	inverse
	pigment { 
		WallColor 
		rotate <0,90,0>
	}
}

plane {
	x, -60 
	pigment { 
		WallColor 
		rotate <0,90,0>
	}
}


plane {
	y,-48
	pigment { NavyBlue }
}

plane {
	y, 72
	inverse
	pigment { White }
}
#end

